OpenLMI
=======

The OpenLMI project provides a common infrastructure for the management of Linux
systems. Capabilities include configuration, management and monitoring of
hardware, operating systems, and system services. OpenLMI includes a set of
services that can be accessed both locally and remotely, multiple language
bindings, standard APIs, and standard scripting interfaces.

OpenLMI-tools
=============

OpenLMI-tools currently contains *LMIShell*, a (non)interactive command
interpreter for CIM objects access and *LMI metacommand*, which serves as a
command line interface to OpenLMI Providers, which utilizes *LMIShell*.

Dependencies
------------

OpenLMI tools require

  * python2.7
  * python-setuptools
  * lmiwbem
  * python-docopt

### Uploading to PyPI

Since *PyPI* expects README file to be in a *reStructuredText* markup
language and the one present is written in *markdown*, it needs to be
converted to it. So please make sure you have `pandoc` installed before
running:

    $ python setup.py sdist upload

Installation
------------

Use standard `setuptools` script for installation:

    $ cd cli
    $ make # generate setup.py
    $ python setup.py install --root=/path/to/install/directory

If you have limited access to system path, you may wish to install to user
directory instead:

    $ python setup.py install --user

This installs just the *LMIShell*, *LMI metacommand* and client-side libraries.
To install *LMI commands*, please refer to [git][].

Example usage
-------------

See `man/lmishell.1` manual page or `man/lmi.1`

Or visit our documentation on [pythonhosted][].

-----------------------------------------------------------------------------
[git]:           https://github.com/openlmi/openlmi-scripts                 "openlmi-scripts"
[providers-git]: https://fedorahosted.org/openlmi/browser/openlmi-providers "openlmi-providers"
[pythonhosted]:  http://pythonhosted.org/openlmi-tools/index.html           "python hosted"
[PyPI]:          https://pypi.python.org/pypi/openlmi-tools                 "PyPI"
